<?php

namespace Drupal\update_premium;

/**
 * Manages project update information.
 */
interface UpdateManagerInterface {

  /**
   * Get all premium modules and themes.
   */
  public function getProjects();

  /**
   * Get module or theme details from .info file.
   */
  public function getProject($info);

  /**
   * Check premium modules and themes for updates (cached).
   */
  public function checkUpdates($manual);

  /**
   * Check premium modules and themes for updates.
   */
  public function processUpdates(&$projects);

  /**
   * Fetch premium module or theme data.
   */
  public function fetchProject($url);

}
